package com.pj.ht_trade_settlement;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: ht_trade_settlement -- 航通交易结算表
 * @author yzs 
 */

@Mapper
@Repository
public interface HtTradeSettlementMapper extends BaseMapper <HtTradeSettlement> {



	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<HtTradeSettlement> getList(SoMap so);


}
