package com.pj.tb_enterprise;//package com.pj.tb_enterprise;
//
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Component;
//
//import com.pj.utils.sg.*;
//
///**
// * 工具类：tb_enterprise -- 商家
// * @author qzy
// *
// */
//@Component
//public class TbEnterpriseUtil {
//
//
//	/** 底层 Mapper 对象 */
//	public static TbEnterpriseMapper tbEnterpriseMapper;
//	@Autowired
//	private void setTbEnterpriseMapper(TbEnterpriseMapper tbEnterpriseMapper) {
//		TbEnterpriseUtil.tbEnterpriseMapper = tbEnterpriseMapper;
//	}
//
//
//	/**
//	 * 将一个 TbEnterprise 对象进行进行数据完整性校验 (方便add/update等接口数据校验) [G]
//	 */
//	static void check(TbEnterprise t) {
//		AjaxError.throwByIsNull(t.getId(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getName(), "[名称] 不能为空");		// 验证: 名称
//		AjaxError.throwByIsNull(t.getNationality(), "[国别] 不能为空");		// 验证: 国别
//		AjaxError.throwByIsNull(t.getType(), "[商户分类] 不能为空");		// 验证: 商户分类(自营商铺=自营商铺,劳务商铺=劳务商铺)
//		AjaxError.throwByIsNull(t.getLegalPerson(), "[法人] 不能为空");		// 验证: 法人
//		AjaxError.throwByIsNull(t.getIdCard(), "[身份证号] 不能为空");		// 验证: 身份证号
//		AjaxError.throwByIsNull(t.getContact(), "[手机号码] 不能为空");		// 验证: 手机号码
//		AjaxError.throwByIsNull(t.getBusinessLicense(), "[营业执照] 不能为空");		// 验证: 营业执照
//		AjaxError.throwByIsNull(t.getShopId(), "[所在铺位ID] 不能为空");		// 验证: 所在铺位ID
//		AjaxError.throwByIsNull(t.getShopName(), "[所在铺位名称] 不能为空");		// 验证: 所在铺位名称(1=100-2)
//		AjaxError.throwByIsNull(t.getBankNo(), "[银行编号] 不能为空");		// 验证: 银行编号(CMB= 招商银行)
//		AjaxError.throwByIsNull(t.getBankName(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getBankAccount(), "[银行账号] 不能为空");		// 验证: 银行账号
//		AjaxError.throwByIsNull(t.getDutyParagraph(), "[税号] 不能为空");		// 验证: 税号
//		AjaxError.throwByIsNull(t.getAddressIds(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getAddress(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getAgreement(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getJudgeStatus(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getJudgeContent(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getJudgeTime(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getRegisterTime(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getPersonId(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getCreateTime(), "[创建时间] 不能为空");		// 验证: 创建时间
//		AjaxError.throwByIsNull(t.getCreateBy(), "[创建人编号] 不能为空");		// 验证: 创建人编号
//		AjaxError.throwByIsNull(t.getCreateName(), "[创建人名称] 不能为空");		// 验证: 创建人名称
//		AjaxError.throwByIsNull(t.getUpdateTime(), "[更新时间] 不能为空");		// 验证: 更新时间
//		AjaxError.throwByIsNull(t.getUpdateBy(), "[更新人编号] 不能为空");		// 验证: 更新人编号
//		AjaxError.throwByIsNull(t.getUpdateName(), "[更新人名称] 不能为空");		// 验证: 更新人名称
//		AjaxError.throwByIsNull(t.getDeleteStatus(), "[删除状态] 不能为空");		// 验证: 删除状态(0=禁用,1=启用)
//	}
//
//	/**
//	 * 获取一个TbEnterprise (方便复制代码用) [G]
//	 */
//	static TbEnterprise getTbEnterprise() {
//		TbEnterprise t = new TbEnterprise();	// 声明对象
//		t.setId(0L);		//
//		t.setName("");		// 名称
//		t.setNationality("");		// 国别
//		t.setType("");		// 商户分类(自营商铺=自营商铺,劳务商铺=劳务商铺)
//		t.setLegalPerson("");		// 法人
//		t.setIdCard("");		// 身份证号
//		t.setContact("");		// 手机号码
//		t.setBusinessLicense("");		// 营业执照
//		t.setShopId(0L);		// 所在铺位ID
//		t.setShopName("");		// 所在铺位名称(1=100-2)
//		t.setBankNo("");		// 银行编号(CMB= 招商银行)
//		t.setBankName("");		//
//		t.setBankAccount("");		// 银行账号
//		t.setDutyParagraph("");		// 税号
//		t.setAddressIds("");		//
//		t.setAddress("");		//
//		t.setAgreement("");		//
//		t.setJudgeStatus("");		//
//		t.setJudgeContent("");		//
//		t.setJudgeTime("");		//
//		t.setRegisterTime("");		//
//		t.setPersonId("");		//
//		t.setCreateTime("");		// 创建时间
//		t.setCreateBy("");		// 创建人编号
//		t.setCreateName("");		// 创建人名称
//		t.setUpdateTime("");		// 更新时间
//		t.setUpdateBy("");		// 更新人编号
//		t.setUpdateName("");		// 更新人名称
//		t.setDeleteStatus(0);		// 删除状态(0=禁用,1=启用)
//		return t;
//	}
//
//
//
//
//
//}
