package com.pj.tb_enterprise.vo;

import com.pj.api.dto.TbLogisticsDto;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @Author Mechrevo
 * @Date 2023 07 27 15 52
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class OrdersVo {

    /** 订单ID */
    private Long orderId;

    /** 订单号 */
    private String tradeNum;

    /** 下单时间 */
    private Date orderTime;

    /** 商品名称 */
    private String goodsName;

    /** 商品图片 */
    private String goodsImg;

    /** 价格 */
    private Double price;

    /** 购买的边民组ID */
    private Long groupId;

    /** 购买的边民组名称 */
    private String groupName;

    /** 订单状态 */
    private Integer orderStatus;

    /** 物流信息 */
    private TbLogisticsDto tbLogisticsDto;




}
