package com.pj.tb_shop.vo;

import lombok.Data;

/**
 * Model: tb_shop -- 铺位
 * @author lbl
 */
@Data
public class ShopVo {


	// ---------- 表中字段 ----------
	/**
	 * 主键
	 */
	private String id;

	/**
	 * 互市区名称
	 */
	private String tradeAreaName;

	/**
	 * 区域(A区=A区,B区=B区,C区=C区)
	 */
	private String area;

	/**
	 * 商铺名称
	 */
	private String shopName;

	/**
	 * 商铺编码
	 */
	private String shopNo;

	/**
	 * 铺主姓名
	 */
	private String ownerName;


}
