package com.pj.tb_goods_demand;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: tb_goods_demand -- 二级收购商需求发布表
 * @author yzs 
 */

@Mapper
@Repository
public interface TbGoodsDemandMapper extends BaseMapper <TbGoodsDemand> {



	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<TbGoodsDemand> getList(SoMap so);


}
