package com.pj.tb_collage_orders.param;

import lombok.Data;

import java.util.List;

/**
 * 合作社生成拼单订单表时app返回的参数
 * @author linbl
 */
@Data
public class TbCollageOrdersParam {

	/**
	 * 订单编号
	 */
	private String orderNo;

	/**
	 * 合作社ID
	 */
	private String cooperativeId;

	/**
	 * 合作社名称
	 */
	private String cooperativeName;

	/**
	 * 总金额
	 */
	private Double totalPrice;

	/**
	 * 边民订单
	 */
	private List<Long> orderList;
}
