package com.pj.tb_enterprise;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@AllArgsConstructor
@NoArgsConstructor
public class TbEnterpriseDto {




    // ---------- 表中字段 ----------
    /**
     *
     */
    private Long id;
    /**
     * 名称
     */
    private String name;

    /**
     * 国别
     */
    private String nationality;

    /**
     * 商户分类(自营商铺=自营商铺,劳务商铺=劳务商铺)
     */
    private String type;

    /**
     * 法人
     */
    private String legalPerson;

    /**
     * 身份证号
     */
    private String idCard;

    /**
     * 手机号码
     */
    private String contact;

    /**
     * 营业执照
     */
    private String businessLicense;

    /**
     * 所在铺位ID
     */
    private Long shopId;

    /**
     * 所在铺位名称(1=100-2)
     */
    private String shopName;

    /**
     * 银行编号(CMB= 招商银行)
     */
    private String bankNo;

    /**
     *
     */
    private String bankName;

    /**
     * 银行账号
     */
    private String bankAccount;

    /**
     * 税号
     */
    private String dutyParagraph;

    /**
     *
     */
    private String addressIds;

    /**
     *
     */
    private String address;

    /**
     *
     */
    private String agreement;

    /**
     *
     */
    private int judgeStatus;

    /**
     *
     */
    private String judgeContent;



    /**
     * 是否锁定
     */
    private Integer isLock;
}
