package com.pj.tb_enterprise;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

/**
 * Mapper: tb_enterprise -- 商家
 *
 * @author qzy
 */

@Mapper
@Repository
public interface TbEnterpriseMapper extends BaseMapper<TbEnterprise> {


    /**
     * 查集合 - 根据条件（参数为空时代表忽略指定条件）
     *
     * @param so 参数集合
     * @return 数据列表
     */
    List<TbEnterprise> getList(SoMap so);

    @Select("SELECT * FROM tb_enterprise WHERE create_by=#{createBy}")
    TbEnterprise selectByCreateBy(@Param("createBy") String createBy);

}
