package com.pj.tb_goods_units;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.pj.project4sp.SP;
import com.pj.utils.sg.AjaxJson;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;


/**
 * Controller: tb_goods_units -- 商品单位(app接口)
 * @author lbl
 */
@RestController
@RequestMapping("/app/TbGoodsUnits/")
public class TbGoodsUnitsAppController {

	/** 底层 Service 对象 */
	@Autowired
	TbGoodsUnitsService tbGoodsUnitsService;


	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */
	@RequestMapping("getList")
	public AjaxJson getList() {
		List<TbGoodsUnits> list = tbGoodsUnitsService.getList(new SoMap());
		return AjaxJson.getPageData(Long.valueOf(list.size()), list);
	}


}
