package com.pj.tb_order_people_confirm;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: tb_order_people_confirm -- 便民确认订单监听表
 * @author yzs 
 */

@Mapper
@Repository
public interface TbOrderPeopleConfirmMapper extends BaseMapper <TbOrderPeopleConfirm> {



	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<TbOrderPeopleConfirm> getList(SoMap so);


}
