package com.pj.tb_people;//package com.pj.tb_people;
//
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Component;
//
//import com.pj.utils.sg.*;
//
///**
// * 工具类：tb_people -- 边民
// * @author qzy
// *
// */
//@Component
//public class TbPeopleUtil {
//
//
//	/** 底层 Mapper 对象 */
//	public static TbPeopleMapper tbPeopleMapper;
//	@Autowired
//	private void setTbPeopleMapper(TbPeopleMapper tbPeopleMapper) {
//		TbPeopleUtil.tbPeopleMapper = tbPeopleMapper;
//	}
//
//
//	/**
//	 * 将一个 TbPeople 对象进行进行数据完整性校验 (方便add/update等接口数据校验) [G]
//	 */
//	static void check(TbPeople t) {
//		AjaxError.throwByIsNull(t.getId(), "[主键] 不能为空");		// 验证: 主键
//		AjaxError.throwByIsNull(t.getName(), "[姓名] 不能为空");		// 验证: 姓名
//		AjaxError.throwByIsNull(t.getCode(), "[边民号] 不能为空");		// 验证: 边民号
//		AjaxError.throwByIsNull(t.getSex(), "[性别] 不能为空");		// 验证: 性别(1=男,2=女)
//		AjaxError.throwByIsNull(t.getAge(), "[年龄] 不能为空");		// 验证: 年龄
//		AjaxError.throwByIsNull(t.getIdCard(), "[身份证] 不能为空");		// 验证: 身份证
//		AjaxError.throwByIsNull(t.getIdCardImg(), "[身份证复印件] 不能为空");		// 验证: 身份证复印件
//		AjaxError.throwByIsNull(t.getPhone(), "[手机号码] 不能为空");		// 验证: 手机号码
//		AjaxError.throwByIsNull(t.getBankNo(), "[银行编号] 不能为空");		// 验证: 银行编号
//		AjaxError.throwByIsNull(t.getBankCode(), "[银行卡号] 不能为空");		// 验证: 银行卡号
//		AjaxError.throwByIsNull(t.getBankName(), "[银行名称] 不能为空");		// 验证: 银行名称
//		AjaxError.throwByIsNull(t.getGroupId(), "[所属互助组] 不能为空");		// 验证: 所属互助组(1=测试组)
//		AjaxError.throwByIsNull(t.getGroupName(), "[互助组名称] 不能为空");		// 验证: 互助组名称
//		AjaxError.throwByIsNull(t.getStatus(), "[是否可用] 不能为空");		// 验证: 是否可用(0=否,1=是)
//		AjaxError.throwByIsNull(t.getRole(), "[角色] 不能为空");		// 验证: 角色(1=普通边民,2=兼组长)
//		AjaxError.throwByIsNull(t.getLng(), "[经度] 不能为空");		// 验证: 经度
//		AjaxError.throwByIsNull(t.getLat(), "[纬度] 不能为空");		// 验证: 纬度
//		AjaxError.throwByIsNull(t.getLastLocation(), "[最后一次下单定位] 不能为空");		// 验证: 最后一次下单定位
//		AjaxError.throwByIsNull(t.getAddress(), "[联系地址] 不能为空");		// 验证: 联系地址
//		AjaxError.throwByIsNull(t.getAddressIds(), "[地址ID] 不能为空");		// 验证: 地址ID
//		AjaxError.throwByIsNull(t.getDetailAddress(), "[详细地址] 不能为空");		// 验证: 详细地址
//		AjaxError.throwByIsNull(t.getIsLock(), "[是否锁定] 不能为空");		// 验证: 是否锁定
//		AjaxError.throwByIsNull(t.getLeftPrice(), "[当天剩余额度] 不能为空");		// 验证: 当天剩余额度
//		AjaxError.throwByIsNull(t.getJudgeStatus(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getJudgeContent(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getRegisterTime(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getJudgeTime(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getPersonId(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getCreateTime(), "[创建时间] 不能为空");		// 验证: 创建时间
//		AjaxError.throwByIsNull(t.getCreateBy(), "[创建人编号] 不能为空");		// 验证: 创建人编号
//		AjaxError.throwByIsNull(t.getCreateName(), "[创建人名称] 不能为空");		// 验证: 创建人名称
//		AjaxError.throwByIsNull(t.getUpdateTime(), "[更新时间] 不能为空");		// 验证: 更新时间
//		AjaxError.throwByIsNull(t.getUpdateBy(), "[更新人编号] 不能为空");		// 验证: 更新人编号
//		AjaxError.throwByIsNull(t.getUpdateName(), "[更新人名称] 不能为空");		// 验证: 更新人名称
//		AjaxError.throwByIsNull(t.getDeleteStatus(), "[删除状态] 不能为空");		// 验证: 删除状态(0=禁用,1=启用)
//	}
//
//	/**
//	 * 获取一个TbPeople (方便复制代码用) [G]
//	 */
//	static TbPeople getTbPeople() {
//		TbPeople t = new TbPeople();	// 声明对象
//		t.setId("");		// 主键
//		t.setName("");		// 姓名
//		t.setCode("");		// 边民号
//		t.setSex("");		// 性别(1=男,2=女)
//		t.setAge(0);		// 年龄
//		t.setIdCard("");		// 身份证
//		t.setIdCardImg("");		// 身份证复印件
//		t.setPhone("");		// 手机号码
//		t.setBankNo("");		// 银行编号
//		t.setBankCode("");		// 银行卡号
//		t.setBankName("");		// 银行名称
//		t.setGroupId(0L);		// 所属互助组(1=测试组)
//		t.setGroupName("");		// 互助组名称
//		t.setStatus("");		// 是否可用(0=否,1=是)
//		t.setRole("");		// 角色(1=普通边民,2=兼组长)
//		t.setLng(0.0);		// 经度
//		t.setLat(0.0);		// 纬度
//		t.setLastLocation("");		// 最后一次下单定位
//		t.setAddress("");		// 联系地址
//		t.setAddressIds("");		// 地址ID
//		t.setDetailAddress("");		// 详细地址
//		t.setIsLock("");		// 是否锁定
//		t.setLeftPrice(0.0);		// 当天剩余额度
//		t.setJudgeStatus("");		//
//		t.setJudgeContent("");		//
//		t.setRegisterTime("");		//
//		t.setJudgeTime("");		//
//		t.setPersonId("");		//
//		t.setCreateTime("");		// 创建时间
//		t.setCreateBy("");		// 创建人编号
//		t.setCreateName("");		// 创建人名称
//		t.setUpdateTime("");		// 更新时间
//		t.setUpdateBy("");		// 更新人编号
//		t.setUpdateName("");		// 更新人名称
//		t.setDeleteStatus(0);		// 删除状态(0=禁用,1=启用)
//		return t;
//	}
//
//
//
//
//
//}
