package com.pj.tb_demand_quotation;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: tb_demand_quotation -- 一级市场组长需求抢购表
 * @author yzs 
 */

@Mapper
@Repository
public interface TbDemandQuotationMapper extends BaseMapper <TbDemandQuotation> {



	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<TbDemandQuotation> getList(SoMap so);


}
