package com.pj.tb_purchaser.param;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * 收购商认证入参
 * @Author Mechrevo
 * @Date 2023 08 02 10 56
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PurchaserParam {

    @NotNull(message = "登录人ID")
    private Long loginUserId;

    @NotNull(message = "公司名称")
    private String name;

    @NotNull(message = "税号")
    private String dutyParagraph;

    @NotNull(message = "法人姓名")
    private String corporateName;

    @NotNull(message = "法人身份证")
    private String corporateIdCard;

    @NotNull(message = "联系号码")
    private String linkPhone;

    @NotNull(message = "银行编号")
    private String bankNo;

    @NotNull(message = "开户银行")
    private String bankName;

    @NotNull(message = "银行账号")
    private String bankAccount;

    @NotNull(message = "营业执照")
    private String businessLicense;

    @NotNull(message = "地址")
    private String address;




}
