package com.pj.project.app_user.dto;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Author Mechrevo
 * @Date 2023 07 25 15 45
 **/
@Data
public class ForgetPasswordDto {

    /** 手机号码 */
    @NotNull(message = "手机号不能为空!")
    private String phone;
    /** 短信验证码 */
    @NotNull(message = "短信验证码不能为空!")
    private String smsCode;
    /** 密码 */
    @NotNull(message = "密码不能为空!")
    private String password;
    /** 再次输入密码 */
    @NotNull(message = "再次输入密码不能为空!")
    private String rePassword;

}
